<div class="detail-block d-none d-sm-block" *ngIf="showAddress">
  <button type="button" class="close" (click)="closePop()">
    <span aria-hidden="true">&times;</span>
  </button>
  <label><strong>Details</strong></label>

  <div class="detail-block-img d-none d-sm-block">
    <div class='vignettesmileys'>
      <a href=''><img class='vignettesmileys'
          src='https://edito.seloger.com/sites/default/files/styles/manual_crop_735x412/public/article/image/paris-nuit.jpg?itok=UwVKE0xs'
          alt='image'>
      </a>
    </div>
  </div>
  <div class="contenu-card" style="background-color: #ffffff;">
    <div class="detail-block d-none d-sm-block" style="background-color: #ffffff;">
      <p class="pl-3 pr-3 d-flex justify-content-between">
        <strong style="color: #354360;">
          {{address?.info.location.x.toFixed(6)}},{{address?.info.location.y.toFixed(6)}}</strong>
      </p>
    </div>
    <mat-expansion-panel [expanded]="true">
      <mat-expansion-panel-header>
        <mat-panel-title>
          Position
        </mat-panel-title>
        <mat-panel-description>
        </mat-panel-description>
      </mat-expansion-panel-header>
      <p class="pl-3 pr-3 d-flex justify-content-between">{{address?.info.address.Match_addr}}</p>
      <p class="pl-3 pt-2 pr-3 d-flex justify-content-between">Ajouter au carnet d'adresses <img
          src="assets/img/add.png" width="12" height="10" (click)="open(address?.info.location.y.toFixed(6),address?.info.location.x.toFixed(6))"></p>
    </mat-expansion-panel>
    <mat-expansion-panel [expanded]="true" class="scroll-card">
      <mat-expansion-panel-header>
        <mat-panel-title>
          A Proximité
        </mat-panel-title>
        <mat-panel-description>
        </mat-panel-description>
      </mat-expansion-panel-header>
      <div class="scroll-card-In">
        <mat-expansion-panel *ngFor="let item of address?.VehiculesProximite">
          <mat-expansion-panel-header>
            <mat-panel-title>
              <div class="image-container pl-1 pr-0 ">
                <strong style="color: #314362;">{{ item.vRN}} </strong>

              </div>
            </mat-panel-title>
            <mat-panel-description>

            </mat-panel-description>
          </mat-expansion-panel-header>
          <div class="row d-flex justify-content-between">
            <!-- <div class="col-md-12 d-flex" (click)="On(item)">
                            <div class="col-md-4 pl-1 pr-0"
                                *ngIf="item.data.evenements[0].tachygraphe!=null && item.data.evenements[0].tachygraphe.conducteur!=null && item.data.evenements[0].tachygraphe.conducteur.activite==5">
                                <div class=" h-15 w-60 carre-color-vert">
                                    <p class="pt-1 d-flex justify-content-center align-items-center">
                                        <img class="mr-1" src="assets/img/volant-noir.png" width="14"
                                            height="14">Conduite
                                    </p>
                                </div>
                            </div>
                            <div class="col-md-4 pl-1 pr0"
                                *ngIf="item.data.evenements[0].tachygraphe!=null && item.data.evenements[0].tachygraphe.conducteur!=null && item.data.evenements[0].tachygraphe.conducteur.activite==3">
                                <div class="h-15 w-60 carre-color-jaune">
                                    <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                                            src="assets/img/ba.png" width="14" height="14">M.A.D</p>
                                </div>
                            </div>
                            <div class="col-md-4 pl-1 pr0"
                                *ngIf="item.data.evenements[0].tachygraphe!=null && item.data.evenements[0].tachygraphe.conducteur!=null && item.data.evenements[0].tachygraphe.conducteur.activite==2">
                                <div class="h-15 w-60 carre-color-blue">
                                    <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                                            src="assets/img/lit.png" width="14" height="14">Coupure</p>
                                </div>
                            </div>
                            <div class="col-md-4 pl-1 pr0"
                                *ngIf="item.data.evenements[0].tachygraphe!=null && item.data.evenements[0].tachygraphe.conducteur!=null &&  item.data.evenements[0].tachygraphe.conducteur.activite==4">
                                <div class="h-15 w-60 carre-color-rose">
                                    <p class="pt-1 d-flex justify-content-center align-items-center"><img class="mr-1"
                                            src="assets/img/cr.png" width="14" height="14">Travail</p>
                                </div>
                            </div>
                        </div> -->
            <div class="col-md-12 justify-content-center flex-column text-header-content">
              <p class="  pl-0 pr-0"><strong style="color: #314362;">Position</strong>:
                {{item.latitude.toFixed(6)}},{{item.longitude.toFixed(6)}}</p>
              <p class="  pl-0 pr-0">
                <strong style="color: #314362;">Conducteur</strong> :
                {{item.numeroCarte}}
              </p>
            </div>
          </div>
        </mat-expansion-panel>
      </div>
    </mat-expansion-panel>

  </div>
</div>
